Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface OdeRuntime

All Known Implementing Classes:
  RuntimeImpl, RuntimeImpl

    public interface OdeRuntime

Method Summary
`void` | `clear()`
`java.lang.String` | `extractMatch(org.w3c.dom.Element msgData, PropertyExtractor extractor)`
`java.lang.String` | `extractProperty(org.w3c.dom.Element msgData, PropertyAliasModel alias, java.lang.String target)`
`ProcessModel` | `getModel()`
`java.lang.Object` | `getReplacementMap(javax.xml.namespace.QName processName)`
`void` | `init(ProcessConf pconf, ProcessModel pmodel)`
`OdeRTInstance` | `newInstance(java.lang.Object state)`
`void` | `setExtensionRegistry(java.util.Map<java.lang.String,ExtensionBundleRuntime> extensionRegistry)`

Method Detail

### init

    void init(ProcessConf pconf,
              ProcessModel pmodel)

### newInstance

    OdeRTInstance newInstance(java.lang.Object state)

### getReplacementMap

    java.lang.Object getReplacementMap(javax.xml.namespace.QName processName)

### getModel

    ProcessModel getModel()

### clear

    void clear()

### extractProperty

    java.lang.String extractProperty(org.w3c.dom.Element msgData,
                                     PropertyAliasModel alias,
                                     java.lang.String target)
                                     throws FaultException

  Throws:
    `FaultException`

### extractMatch

    java.lang.String extractMatch(org.w3c.dom.Element msgData,
                                  PropertyExtractor extractor)
                                  throws FaultException

  Throws:
    `FaultException`

### setExtensionRegistry

    void setExtensionRegistry(java.util.Map<java.lang.String,ExtensionBundleRuntime> extensionRegistry)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD